import uuid

from sqlalchemy import JSON, Text, Uuid, text
from sqlalchemy.orm import Mapped, mapped_column

from ..db.base_class import reg


@reg.mapped_as_dataclass(unsafe_hash=True)
class DbSetting:
    __tablename__ = "settings"

    id: Mapped[uuid.UUID] = mapped_column(Uuid, primary_key=True, server_default=text("gen_random_uuid()"))
    name: Mapped[str] = mapped_column(Text, unique=True, nullable=False)
    data = mapped_column(JSON, nullable=False)

    def __init__(self, id_=None, name=None, data=None):
        self.id = id_
        self.name = name
        self.data = data
