import uuid

from sqlalchemy import ForeignKey, UniqueConstraint, Uuid, text
from sqlalchemy.orm import Mapped, mapped_column

from ..db.base_class import reg


@reg.mapped_as_dataclass(unsafe_hash=True)
class ModifierCategoryProduct:
    __tablename__ = "modifier_categories_products"
    __table_args__ = (UniqueConstraint("product_id", "modifier_category_id"),)

    id: Mapped[uuid.UUID] = mapped_column(Uuid, primary_key=True, server_default=text("gen_random_uuid()"))
    product_id: Mapped[uuid.UUID] = mapped_column(Uuid, ForeignKey("products.id"), nullable=False)
    modifier_category_id: Mapped[uuid.UUID] = mapped_column(
        Uuid,
        ForeignKey("modifier_categories.id"),
        nullable=False,
    )
