from decimal import Decimal
from typing import Annotated

from pydantic import PlainSerializer


def to_camel(string: str) -> str:
    first, *others = string.split("_")
    return "".join([first.lower()] + [word.capitalize() for word in others])


# Custom serializer to serialize decimal as float and not as string as is the default behaviour in Pydantic V2
Daf = Annotated[Decimal, PlainSerializer(lambda x: float(x), return_type=float, when_used="unless-none")]
