import uuid

from barker.schemas import to_camel
from pydantic import BaseModel, ConfigDict, Field

from . import Daf


class DiscountItem(BaseModel):
    id_: uuid.UUID
    name: str
    discount: Daf | None = Field(ge=0, default=0, le=1)
    limit: Daf
    customer: Daf
    model_config = ConfigDict(alias_generator=to_camel, populate_by_name=True)
