from pydantic import BaseModel, ConfigDict

from . import Daf, to_camel


class ReceivePaymentItem(BaseModel):
    id_: int
    amount: Daf
    model_config = ConfigDict(alias_generator=to_camel, populate_by_name=True)


class ReceivePayment(BaseModel):
    reason: str
    amounts: list[ReceivePaymentItem]
    model_config = ConfigDict(alias_generator=to_camel, populate_by_name=True, str_strip_whitespace=True)
